Results 1 to 4 of 4

Thread: Firefox XULRunner Error

  1. #1
    eddiemoo Guest

    Default Firefox XULRunner Error

    Hello
    My version of Firefox recently automatically upgraded itself from 3.0.4 to 3.0.5. After upgrade I've not been able to open Firefox.Windows (Vista) gives the error:

    _________________| XULRunner|----------------------------|
    (X)
    Error: Platform version '1.9.0.5' is not compatible with|








    minVersion >= 1.9.0.4|







    maxVersion >= 1.9.0.4

    I tried uninstalling and reinstalling Firefox (reboot inbetween) and also removing Firefox and all settings and all data (and physical directories) and then reinstalling ... and then finally realised the error is caused by Forecefield, for when I open an unprotected browser in Forcefield it works!
    My Forcefield is 1.2.137.0, has not been upgraded recently, works fine with IE and worked fine with FireFox 3.0.4.Any ideas on how to fix this please? Or who from Zonelabs to ask? All suggestions welcome, good or guesswork ...
    Many thanks,


    - Edd -


    Operating System:Windows Vista Ultimate
    Software Version:
    Product Name:Other ZoneAlarm Product

  2. #2
    Charles_B Guest

    Default Re: Firefox XULRunner Error

    You could try this.Disable ZAFF.Uninstall and reinstall Firefox.In Firefox, go to Tools/Options, Advanced Tag, and select Ask me what to do.
    Next time when there is an upgrade you will have time to disable ZAFF and do upgrade.Reset settings, add-ons if any.Enable ZAFF.
    Hope this will resolve issues


    Good info:
    http://download.zonealarm.com/bin/me...dUserGuide.pdf

  3. #3
    spurkza Guest

    Default Re: Firefox XULRunner Error

    Another solution for this XULRunner Error (started getting with upgrade of Mozilla Firefox from 3.6.5 to 3.6.6) to try, at least it worked here, is when Forcefield is running, right click its icon in your system tray, select Settings, and then select the Advanced tab, and then click the 'Clear Virtual Data' button near the bottom of that tab, and then click OK.
    Last edited by spurkza; June 29th, 2010 at 11:34 AM. Reason: typo, change 3.6 to 3.6.6

  4. #4
    Join Date
    Dec 2002
    Location
    San Carlos, California
    Posts
    1,636

    Default Re: Firefox XULRunner Error

    Similar problem posted at mozilla support site that was resolved by doing this:


    Try a clean reinstall:

    1. Download the Firefox installer from Mozilla.com and save it to your desktop or other location.
    2. Make sure that Firefox is closed completely
    3. Delete the Firefox installation directory (On Windows, this is typically the C:\Program Files\Mozilla Firefox folder that contains "firefox.exe" and other Firefox program files and folders).
    4. Reinstall Firefox by running the installer you downloaded previously.
    Your personal settings, including bookmarks and history, will not be lost.

    See http://kb.mozillazine.org/Standard_diagnostic_-_Firefox#Clean_reinstall
    Click here for ZA Support
    Monday-Saturday__ 6am to 10pm Central time
    Closed Sundays and Holidays

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •